<?php

class Database {
    private $host;
    private $user;
    private $pass;
    private $dbname;
    private $pdo;

	public function __construct($host, $user, $pass, $dbname) {
		$this->host = $host;
		$this->user = $user;
		$this->pass = $pass;
		$this->dbname = $dbname;
	}
	public function connect() {
		$driver_options = [
			PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,
			PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
		];
		$dsn = "mysql:host=$this->host;dbname=$this->dbname";
		$this->pdo = new PDO($dsn, $this->user, $this->pass,$driver_options);
	}

	public function query($sql, $params = []) {
		$stmt = $this->pdo->prepare($sql);
		if ($stmt->execute($params) === true)
			return $stmt;
		return false;
	}
	public function lastInsertId(){
		return $this->pdo->lastInsertId();
	}
}

?>
